SalesOS.

Duplicate Detection

Duplicate record detection and merge

List duplicate sets

GET
/v1/duplicate-detection/sets

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

entityTypeRequiredstring
statusRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/duplicate-detection/sets?entityType=%3Cstring%3E&status=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

List of duplicate sets

Get duplicate set details with enriched member data

GET
/v1/duplicate-detection/sets/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/duplicate-detection/sets/<string>" \
  -H "Authorization: Bearer <token>"

Duplicate set with member details

Preview merge result for a duplicate set (frontend path)

POST
/v1/duplicate-detection/sets/{id}/preview

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/duplicate-detection/sets/<string>/preview" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Merge preview

Preview merge result for a duplicate set

POST
/v1/duplicate-detection/sets/{id}/merge-preview

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/duplicate-detection/sets/<string>/merge-preview" \
  -H "Authorization: Bearer <token>"

Merge preview with conflicts and suggestions

Merge duplicate entities

POST
/v1/duplicate-detection/sets/{id}/merge

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/duplicate-detection/sets/<string>/merge" \
  -H "Authorization: Bearer <token>"

Entities merged successfully

Dismiss a duplicate set

POST
/v1/duplicate-detection/sets/{id}/dismiss

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/duplicate-detection/sets/<string>/dismiss" \
  -H "Authorization: Bearer <token>"

Duplicate set dismissed

Get duplicate detection statistics

GET
/v1/duplicate-detection/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/duplicate-detection/stats" \
  -H "Authorization: Bearer <token>"

Duplicate detection stats

Get duplicate detection configuration

GET
/v1/duplicate-detection/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/duplicate-detection/config" \
  -H "Authorization: Bearer <token>"

Duplicate detection config

Update duplicate detection configuration

PATCH
/v1/duplicate-detection/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PATCH "https://api.salesos.org/v1/duplicate-detection/config" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Updated config

Trigger a full duplicate scan

POST
/v1/duplicate-detection/scan

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/duplicate-detection/scan" \
  -H "Authorization: Bearer <token>"

Scan initiated

Get merge history

GET
/v1/duplicate-detection/merge-history

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/duplicate-detection/merge-history" \
  -H "Authorization: Bearer <token>"

Merge history